Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

ServiceShipment

ServiceShipment

List external workshops

get
/tenants/{tenantUid}/serviceorders/externalworkshops

Get a list of external workshops for a tenant.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/serviceorders/externalworkshops
200

Example response

Create new external workshop

post
/tenants/{tenantUid}/serviceorders/externalworkshops

Create a new external workshop for a tenant.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
companyNamestringRequired
addressstringOptional
postalCodestringOptional
citystringOptional
countryCodestringOptional
emailstringOptional
phonestringOptional
contactNamestringOptional
notestringOptional
activebooleanOptionalDefault: true
externalWorkshopUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
externalWorkshopUidstringRequiredPattern: ^[A-Za-z0-9-_]+
companyNamestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
contactNamestringRequired
notestringRequired
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/serviceorders/externalworkshops
201

Example response

Get external workshop

get
/tenants/{tenantUid}/serviceorders/externalworkshops/{externalWorkshopUid}

Get a given external workshop.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
externalWorkshopUidstringRequired

Reference to an external workshop.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
externalWorkshopUidstringRequiredPattern: ^[A-Za-z0-9-_]+
companyNamestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
contactNamestringRequired
notestringRequired
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
get/tenants/{tenantUid}/serviceorders/externalworkshops/{externalWorkshopUid}
200

Example response

Update external workshop

put
/tenants/{tenantUid}/serviceorders/externalworkshops/{externalWorkshopUid}

Update an external workshop.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
externalWorkshopUidstringRequired

Reference to an external workshop.

Pattern: ^[A-Za-z0-9-_]+
Body
companyNamestringOptional
addressstringOptional
postalCodestringOptional
citystringOptional
countryCodestringOptional
emailstringOptional
phonestringOptional
contactNamestringOptional
notestringOptional
activebooleanOptionalDefault: true
Responses
200

Example response

application/json
externalWorkshopUidstringRequiredPattern: ^[A-Za-z0-9-_]+
companyNamestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
contactNamestringRequired
notestringRequired
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
put/tenants/{tenantUid}/serviceorders/externalworkshops/{externalWorkshopUid}
200

Example response

Delete external workshop

delete
/tenants/{tenantUid}/serviceorders/externalworkshops/{externalWorkshopUid}

Delete an external workshop.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
externalWorkshopUidstringRequired

Reference to an external workshop.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/serviceorders/externalworkshops/{externalWorkshopUid}
204

No Content

No content

List service shipments

get
/tenants/{tenantUid}/serviceorders/shipments

List service shipments.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/serviceorders/shipments
200

Example response

Create new service shipment

post
/tenants/{tenantUid}/serviceorders/shipments

Create new service shipment. For receiver, either a store or an external workshop must be set (by its UID).

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
notestringOptional
statusstring · enumOptionalPossible values:
trackingNumberstringOptional
shipmentNumberstringOptional
shipmentDatestring · date-timeOptional
serviceShipmentUidstringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
201

Example response

application/json
serviceShipmentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequiredPossible values:
notestringRequired
trackingNumberstringRequired
shipmentNumberstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
shipmentDatestring · date-timeRequired
allReceivedbooleanRequired
post/tenants/{tenantUid}/serviceorders/shipments
201

Example response

Get service shipment

get
/tenants/{tenantUid}/serviceorders/shipments/{serviceShipmentUid}

Get service shipment.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
serviceShipmentUidstringRequired

Reference to a service shipment.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
serviceShipmentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequiredPossible values:
notestringRequired
trackingNumberstringRequired
shipmentNumberstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
shipmentDatestring · date-timeRequired
allReceivedbooleanRequired
get/tenants/{tenantUid}/serviceorders/shipments/{serviceShipmentUid}
200

Example response

Update service shipment

put
/tenants/{tenantUid}/serviceorders/shipments/{serviceShipmentUid}

Update service shipment. For receiver, either a store or an external workshop must be set (by its UID).

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
serviceShipmentUidstringRequired

Reference to a service shipment.

Pattern: ^[A-Za-z0-9-_]+
Body
notestringOptional
statusstring · enumOptionalPossible values:
trackingNumberstringOptional
shipmentNumberstringOptional
shipmentDatestring · date-timeOptional
Responses
200

Example response

application/json
serviceShipmentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequiredPossible values:
notestringRequired
trackingNumberstringRequired
shipmentNumberstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
shipmentDatestring · date-timeRequired
allReceivedbooleanRequired
put/tenants/{tenantUid}/serviceorders/shipments/{serviceShipmentUid}
200

Example response

Delete service shipment

delete
/tenants/{tenantUid}/serviceorders/shipments/{serviceShipmentUid}

Delete service shipment

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
serviceShipmentUidstringRequired

Reference to a service shipment.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/serviceorders/shipments/{serviceShipmentUid}
204

No Content

No content

Get service shipments for a service order

get
/tenants/{tenantUid}/serviceorders/shipments/items/{serviceOrderUid}

Get service shipment for a service order

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
serviceOrderUidstringRequired

Reference to a service order

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Body
Responses
200

Example response

application/json
get/tenants/{tenantUid}/serviceorders/shipments/items/{serviceOrderUid}
200

Example response

Last updated

Was this helpful?